# Uses of Interface
org.springframework.core.io.support.PropertySourceFactory

Packages that use PropertySourceFactory
Package
Description
org.springframework.core.io.support
Support classes for Spring's resource abstraction.

## Uses of PropertySourceFactory in org.springframework.core.io.support

Classes in org.springframework.core.io.support that implement PropertySourceFactory
Modifier and Type
Class
Description
`class`
`DefaultPropertySourceFactory`
The default implementation for `PropertySourceFactory`, wrapping every resource in a `ResourcePropertySource`.
Methods in org.springframework.core.io.support that return types with arguments of type PropertySourceFactory
Modifier and Type
Method
Description
`Class<? extends PropertySourceFactory>`
PropertySourceDescriptor.`propertySourceFactory()`
Returns the value of the `propertySourceFactory` record component.
Constructor parameters in org.springframework.core.io.support with type arguments of type PropertySourceFactory
Modifier
Constructor
Description
``
`PropertySourceDescriptor(List<String> locations, boolean ignoreResourceNotFound, String name, Class<? extends PropertySourceFactory> propertySourceFactory, String encoding)`
Creates an instance of a `PropertySourceDescriptor` record class.